/** F4 ***** ITKP2-frelsning4*********************************
* En applikation som lgger in och hmtar ut instanser av klassen
* Figur i en LinkedBlockingQueue. Figurernas sammanlagda yta lggs
* ihop, avrundas till 3 decimaler och skrivs ut. 
*   
* @author Peter Mozelius
* @version 1.0
* Rapportera hittade fel till: 
*<adress>mozelius@dsv.su.se</adress>
****************************************************************/
import java.text.NumberFormat;
import java.util.concurrent.LinkedBlockingQueue;


public class F4 {
  public static void main(String[] args) {
    LinkedBlockingQueue<Figur> queue = new LinkedBlockingQueue<Figur>();

    try{
      queue.put(new Triangel(1.3, 2.7));  
      queue.put(new Rektangel(5.6, 2.2));
      queue.put(new Cirkel(9.4, "Gul")); 
      queue.put(new Triangel(2.7, 5.9, "Vit"));
      queue.put(new Rektangel(7.2, 5.0,"Orange"));  
    } catch(InterruptedException ie){
      System.err.println("KPROBLEM:");
      System.err.println(ie.getMessage());
    
    }


    
    
    double totalFigurYta = 0;

    for(Figur f : queue)
       totalFigurYta += f.visaArea();

   
    NumberFormat nf = NumberFormat.getInstance();
    nf.setMinimumFractionDigits(3);
    nf.setMaximumFractionDigits(3);

    System.out.println("Den totala ytan = " + nf.format(totalFigurYta));

  }
}
